/* 
 *	Jeti, a Java Jabber client, Copyright (C) 2001 E.S. de Boer  
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *	For questions, comments etc, 
 *	use the website at http://jeti.jabberstudio.org
 *  or mail/IM me at jeti@jabber.org
 *  
 *  Created on 9-jan-2005
 */

package nu.fw.jeti.jabber;

import java.util.List;

import nu.fw.jeti.backend.roster.Roster;
import nu.fw.jeti.backend.roster.SecondaryJIDStatus;
import nu.fw.jeti.jabber.elements.Presence;

/**
 * @author E.S. de Boer
 */

 //stores jid + status

//inconsistent with equals to make consistant add jid + equals if comletejids are same
public class UnknownJIDStatus extends SecondaryJIDStatus
{
	private JID jid;
	private String nickname;
	private String type;
	
	
	public UnknownJIDStatus(JID jid)
	{
		this(jid,null);
	}
	
	/**
	 * Make jidStatus from jid and nickname 
	 * @param jid
	 * @param nickname
	 */
	public UnknownJIDStatus(JID jid,String nickname)
	{//call update??
		this.jid = jid;
		completeJID = jid;
		this.nickname = nickname; 
		if(nickname == null || nickname.equals(""))
		{
		   this.nickname = jid.getUser();
		}
		show = Presence.NONE;
		JIDStatus server = Roster.getJIDStatus(new JID(jid.getDomain()));
		if(server == null) type =null;
		else type = server.getType();
	}
		
	public String toString()
	{//jid
		return nickname;
	}

	public JID getJID(){return jid;}

		
	public void setStatus(String status)
	{
		this.status = status;
	}

	public String getNick()
	{
		return nickname;
	}

	public void setNick(String nick)
	{
		nickname = nick;
	}

	public String getType()
	{
		if(type == null) return "jabber";
		return type;
	}

	public void setType(String type)
	{
		//System.out.println(type);
		this.type = type;
	}

	public String getSubscription(){return null;}

	public String getWaiting()
	{
		return null;
	}
	
	public int groupCount()
	{
		return 0;
	}

	public List getGroupsCopy()
	{
		return null;
	}

	public boolean isGroupPresent(String group)
	{
		return false;
	}

	public int compareTo(Object o)
	{
		return nickname.compareTo(((JIDStatus)o).getNick());
	}

}
/*
 * Overrides for emacs
 * Local variables:
 * tab-width: 4
 * End:
 */
